/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
import { ICombiningOp } from "./ops.mjs";
/**
 * @alpha
 */
export interface MapLike<T> {
    [index: string]: T;
}
/**
 * @alpha
 */
export type PropertySet = MapLike<any>;
/**
 * @deprecated This functionality was not meant to be exported and will be removed in a future release
 * @internal
 */
export interface IConsensusValue {
    seq: number;
    value: any;
}
/**
 * @deprecated This functionality was not intended for public export and will
 * be removed in a future release.
 * @internal
 */
export declare function combine(combiningInfo: ICombiningOp, currentValue: any, newValue: any, seq?: number): any;
/**
 * @deprecated This functionality was not intended for public export and will
 * be removed in a future release.
 * @internal
 */
export declare function matchProperties(a: PropertySet | undefined, b: PropertySet | undefined): boolean;
/**
 * @deprecated This functionality was not intended for public export and will
 * be removed in a future release.
 * @internal
 */
export declare function extend<T>(base: MapLike<T>, extension: MapLike<T> | undefined, combiningOp?: ICombiningOp, seq?: number): MapLike<T>;
/**
 * @deprecated This functionality was not intended for public export and will
 * be removed in a future release.
 * @internal
 */
export declare function clone<T>(extension: MapLike<T> | undefined): MapLike<T> | undefined;
/**
 * @deprecated This functionality was not intended for public export and will
 * be removed in a future release.
 * @internal
 */
export declare function addProperties(oldProps: PropertySet | undefined, newProps: PropertySet, op?: ICombiningOp, seq?: number): PropertySet;
/**
 * @deprecated This functionality was not intended for public export and will
 * be removed in a future release.
 * @internal
 */
export declare function extendIfUndefined<T>(base: MapLike<T>, extension: MapLike<T> | undefined): MapLike<T>;
/**
 * @deprecated This functionality was not intended for public export and will
 * be removed in a future release.
 * @internal
 */
export declare function createMap<T>(): MapLike<T>;
//# sourceMappingURL=properties.d.ts.map